using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class HeartScript : MonoBehaviour
{
    private Sprite[] HeartImages;
    private List<GameObject> Hearts = new List<GameObject>();
    public GameObject HeartPrefab;
    public int HeartStrength = 0;
    private void Start()
    {
        HeartImages = Resources.LoadAll<Sprite>("Player Heart");
        AddHeart();
    }
    public void FixedUpdate()
    {
        int tempHP = HeartStrength;
        foreach(var item in Hearts)
        {
            item.GetComponent<Image>().sprite = HeartImages[Math.Clamp(tempHP, 0, 13)];
            tempHP -= 13;
        }
    }
    private void AddHeart()
    {
        Hearts.Add(GameObject.Instantiate(HeartPrefab, this.transform));
        Hearts[Hearts.Count-1].GetComponent<Image>().sprite = HeartImages[13];
        Hearts[Hearts.Count-1].GetComponent<RectTransform>().anchoredPosition3D = new Vector3(5 + ((Hearts.Count-1) * 53), -5, 0);
        HeartStrength += 14;
    }
}
    
    





